#ifndef __COLLECT_H__
#define __COLLECT_H__

/*
   a simplistic way to manage collections for now... 
   probably replace with a fast splay tree implementation
   for production.
*/
   
typedef struct {
	/* all fields considered private... */
	void **ptr;
	int cnt, allocated, delta;
} Collection;

#ifdef __cplusplus
extern "C" {
#endif
Collection *newCollection _PROTO((int /*max*/, int /*delta*/));
void deleteCollection _PROTO((Collection *));
int addCollectionItem _PROTO((Collection *, void * /*item*/ ));
void setCollectionItem _PROTO((Collection *, int, void *));
void *getCollectionItem _PROTO((Collection *, int /*index*/ ));
int getCollectionCount _PROTO((Collection *));
#ifdef __cplusplus
}
#endif

#endif
