#ifndef __INDEX_H__
#define __INDEX_H__

/*
   a simplistic way to manage indexes for now... 
   Something faster or more generic would be useful, but this will work.
*/

typedef struct IndexNodeStruct {
	struct IndexNodeStruct *next;
	int slot;
	union {
		struct { int key1, key2; } kn;
		struct { char *keystr; } ks;
	} u;
} IndexNode;

typedef struct {
	/* all fields considered private... */
	void **ptr;
	int hashmod, isString;
} Index;

#ifdef __cplusplus
extern "C" {
#endif
Index *newIndex _PROTO((int /*hashmod*/, int /* isString */ ));
void deleteIndex _PROTO((Index *));
void setIndexEntry _PROTO((Index *, int, int, int));
int findIndexEntry _PROTO((Index *, int, int));
void setIndexEntryString _PROTO((Index *, int, char *));
int findIndexEntryString _PROTO((Index *, char *));
#ifdef __cplusplus
}
#endif

#endif
